%define module   POE-API-Peek

Name:		perl-%{module}
Version:    1.32
Release:    %mkrel 1
Epoch:      1
License:	Artistic
Group:		Development/Perl
Summary:    Peek into the internals of a running POE environment
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/POE/%{module}-%{version}.tar.gz
BuildRequires:	perl(Devel::Size)
BuildRequires:	perl(POE)
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to 
Kernel internals in a cross-version compatible manner. Other calculated 
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/POE
%{_mandir}/man3/*



%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.32-1mdv2009.0
+ Revision: 270394
- update to new version 1.32

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.30-2mdv2009.0
+ Revision: 268699
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.30-1mdv2009.0
+ Revision: 210843
- set epoch...
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0802-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0802-1mdv2008.0
+ Revision: 25176
- 1.0802


* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 1.06-2mdk
- BuildRequires

* Tue Jan 24 2006 Michael Scherer <misc@mandriva.org> 1.06-1mdk
- First Mandriva package

